# `mix bb.add_robot`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/mix/tasks/bb.add_robot.ex#L6)

Adds a new robot module to your project

## Example

```bash
mix bb.add_robot --robot MyApp.Robots.MainRobot
```

## Options

* `--robot` - The module name for the robot (defaults to {AppPrefix}.Robot)

---

*Consult [api-reference.md](api-reference.md) for complete listing*
